aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher (jlec) <jlec@j-schmitz.net>2009-04-21 22:37:15 +0200
committerJustin Lecher (jlec) <jlec@j-schmitz.net>2009-04-22 17:45:41 +0200
commit3ec7f8fb89e3656c6bbffa7c6ae71e09935cab48 (patch)
treecdabb9e5835198082e06883a3a32ed3e5ca9cf2a /dev-perl/opal-client/opal-client-1.9.2.ebuild
parentChnageLog entry added (diff)
downloadsci-3ec7f8fb89e3656c6bbffa7c6ae71e09935cab48.tar.gz
sci-3ec7f8fb89e3656c6bbffa7c6ae71e09935cab48.tar.bz2
sci-3ec7f8fb89e3656c6bbffa7c6ae71e09935cab48.zip
dev-perl/opelclient added
Diffstat (limited to 'dev-perl/opal-client/opal-client-1.9.2.ebuild')
-rw-r--r--dev-perl/opal-client/opal-client-1.9.2.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-perl/opal-client/opal-client-1.9.2.ebuild b/dev-perl/opal-client/opal-client-1.9.2.ebuild
new file mode 100644
index 000000000..916042185
--- /dev/null
+++ b/dev-perl/opal-client/opal-client-1.9.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit python perl-module
+
+MY_PN="${PN/client/perl}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Perl Opal Web Service Client"
+HOMEPAGE="http://nbcr.net/software/opal/"
+SRC_URI="mirror://sourceforge/opaltoolkit/${MY_P}.tar.gz"
+
+LICENSE="opal"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-perl/SOAP-Lite
+ dev-lang/perl
+ dev-python/opal-client"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+src_install() {
+ insinto ${SITE_LIB}
+ doins *.pm
+ dodoc README etc/* pdb2pqrclient.pl || die
+ dohtml docs/* || die
+}